
/**
 * @author Arthur Asuncion
 *
 * The interface for the various wavelets (Haar & Daubechies)
 */
public interface Wavelet {
	
	abstract void decompose(float[] s, int size);
	
	abstract void reconstruct(float[] s, int size);
	
}
